{
  "description": "DownwardAPIVolumeFile represents information to create the file containing the pod field",
  "properties": {
    "fieldRef": {
      "$ref": "/api/_definitions.json#/$defs/io.k8s.api.core.v1.ObjectFieldSelector",
      "description": "Required: Selects a field of the pod: only annotations, labels, name, namespace and uid are supported."
    },
    "mode": {
      "description": "Optional: mode bits used to set permissions on this file, must be an octal value between 0000 and 0777 or a decimal value between 0 and 511. YAML accepts both octal and decimal values, JSON requires decimal values for mode bits. If not specified, the volume defaultMode will be used. This might be in conflict with other options that affect the file mode, like fsGroup, and the result can be other mode bits set.",
      "format": "int32",
      "type": [
        "integer",
        "null"
      ]
    },
    "path": {
      "description": "Required: Path is  the relative path name of the file to be created. Must not be absolute or contain the '..' path. Must be utf-8 encoded. The first item of the relative path must not start with '..'",
      "type": [
        "string",
        "null"
      ]
    },
    "resourceFieldRef": {
      "$ref": "/api/_definitions.json#/$defs/io.k8s.api.core.v1.ResourceFieldSelector",
      "description": "Selects a resource of the container: only resources limits and requests (limits.cpu, limits.memory, requests.cpu and requests.memory) are currently supported."
    }
  },
  "required": [
    "path"
  ],
  "type": "object",
  "$schema": "https://json-schema.org/draft/2020-12/schema",
  "$id": "https://kubernetes.io/api/downwardapivolumefile/v1"
}